Subject: Re: bug#64712: 29.0.92; Emacs 29 with native compilation compiles cl-loaddefs.el on every startup

From: Dmitry Gutov <[email-masked]>
Date: Thu, 27 Jul 2023 16:36:18 +0300

On 27/07/2023 12:03, Andrea Corallo wrote:
> If we add cl-loaddefs.el to `native-comp-jit-compilation-deny-list' we
> should just not even attempt compiling it.
> 
> Dunno if it's considered an acceptable fix, in case I can push it so it
> can get tested.

I suppose another approach would be along the lines of creating, for 
every such file, an artefact in native-compile cache anyway, with 
contents which would load the original uncompiled file (I'm assuming 
this step won't require extracting the file?).

Not sure if this is worth the hassle, though.